public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgit2/
Date: Sat,  6 Oct 2018 07:11:26 +0000 (UTC)	[thread overview]
Message-ID: <1538809849.c7cb35a6deb16e24e672a2dd010b8bf422ac3c49.mgorny@gentoo> (raw)

commit:     c7cb35a6deb16e24e672a2dd010b8bf422ac3c49
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  6 06:47:09 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct  6 07:10:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7cb35a6

dev-libs/libgit2: Sec-bump to 0.27.5

Bug: https://bugs.gentoo.org/667860
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/libgit2/Manifest              |  1 +
 dev-libs/libgit2/libgit2-0.27.5.ebuild | 82 ++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-libs/libgit2/Manifest b/dev-libs/libgit2/Manifest
index 3a0fd9818b8..8c606febbe3 100644
--- a/dev-libs/libgit2/Manifest
+++ b/dev-libs/libgit2/Manifest
@@ -1,3 +1,4 @@
 DIST libgit2-0.26.6.tar.gz 4734435 BLAKE2B 0831d0a78ba74b6cd989821f0abb6774f8879f18906025ce02d7c0f7f8f3e7f03b30121f79e370b85201e110a6fc4aca2ae2e608b12f01cd527ab42bf597099d SHA512 6a5a167bfe8696294cf188feec2aad898af52f4c05a3a40a55f48ea3168d200a60fc42b3819a22b1bf472be696f5dafef473d457c08bab164cbf654c4de6bda7
 DIST libgit2-0.26.7.tar.gz 4737641 BLAKE2B dd87ab3048dec361619ff0e42d19161e4b20a07d334ad42aa077b77202bf5e84b85e33a6d6668afef36a7ff23f85a68f28049e08dd7502b241e40a730a78bb44 SHA512 5ad0c514b6c1c58031029f4ada278a164cc112f25c36745973df27711f12888000c054816b65889576124e93b71ec9a1c4f4cc0b538f177d93a57bc145fea1e1
 DIST libgit2-0.27.4.tar.gz 4772254 BLAKE2B 9c0e7b436d8cb07a8f1407d22bcd4c7b161f3ceef9dc4e67f9daec784a1cfb9f8f2e493a78f5ef6b4893e54c1f1b567ae53ead52a992ee10eabe3229195417a1 SHA512 d27db86eb1b9f0d4057f8538ba1985ee76c3ca106e57d417fa9bff79d575f91a07ad28693112b58dc1d61d68116a82e6a145f12276158f2806b6c4964d741f61
+DIST libgit2-0.27.5.tar.gz 4775158 BLAKE2B 118af462a4969bc802451b887386e87da0f855641a774ce7460d6fe7ad9c62ce71a4b35a7461a95c7c4a96c59143c9c1acc78c5a1b21143a651491713f4fa15b SHA512 318b981456d55f60f8aa1897f1f70274329e48f09769b661eb4bbe76399071eca0fbc7deacb3191db16bc89dba8cc69a64adaf8cbc65e34a65b6e72ca122e21f

diff --git a/dev-libs/libgit2/libgit2-0.27.5.ebuild b/dev-libs/libgit2/libgit2-0.27.5.ebuild
new file mode 100644
index 00000000000..d10065358a4
--- /dev/null
+++ b/dev-libs/libgit2/libgit2-0.27.5.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+inherit cmake-utils python-any-r1
+
+if [[ ${PV} == "9999" ]] ; then
+	EGIT_REPO_URI="https://github.com/${PN}/${PN}.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~ppc-macos"
+fi
+
+DESCRIPTION="A linkable library for Git"
+HOMEPAGE="https://libgit2.github.com/"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0/27"
+IUSE="+curl examples gssapi libressl +ssh test +threads trace"
+
+RDEPEND="
+	!libressl? ( dev-libs/openssl:0= )
+	libressl? ( dev-libs/libressl:0= )
+	sys-libs/zlib
+	net-libs/http-parser:=
+	curl? (
+		!libressl? ( net-misc/curl:=[curl_ssl_openssl(-)] )
+		libressl? ( net-misc/curl:=[curl_ssl_libressl(-)] )
+	)
+	gssapi? ( virtual/krb5 )
+	ssh? ( net-libs/libssh2 )
+"
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	virtual/pkgconfig
+"
+
+DOCS=( AUTHORS CONTRIBUTING.md CONVENTIONS.md README.md )
+
+src_prepare() {
+	# skip online tests
+	sed -i '/libgit2_clar/s/-ionline/-xonline/' tests/CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DLIB_INSTALL_DIR="${EPREFIX}/usr/$(get_libdir)"
+		-DBUILD_CLAR=$(usex test)
+		-DENABLE_TRACE=$(usex trace)
+		-DUSE_GSSAPI=$(usex gssapi)
+		-DUSE_SSH=$(usex ssh)
+		-DTHREADSAFE=$(usex threads)
+		-DCURL=$(usex curl)
+	)
+	cmake-utils_src_configure
+}
+
+src_test() {
+	if [[ ${EUID} -eq 0 ]] ; then
+		# repo::iterator::fs_preserves_error fails if run as root
+		# since root can still access dirs with 0000 perms
+		ewarn "Skipping tests: non-root privileges are required for all tests to pass"
+	else
+		local TEST_VERBOSE=1
+		cmake-utils_src_test
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	if use examples ; then
+		find examples -name '.gitignore' -delete || die
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}


             reply	other threads:[~2018-10-06  7:11 UTC|newest]

Thread overview: 288+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-06  7:11 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-23  3:23 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgit2/ Michał Górny
2025-02-23  0:04 Sam James
2025-01-28 13:24 Michał Górny
2025-01-25 12:06 Sam James
2025-01-25 11:00 Sam James
2025-01-25  9:20 Arthur Zamarin
2025-01-25  9:20 Arthur Zamarin
2025-01-05 10:33 WANG Xuerui
2025-01-05 10:33 WANG Xuerui
2024-12-29  3:21 Michał Górny
2024-11-30 20:40 Arthur Zamarin
2024-11-16  8:09 Michał Górny
2024-10-31  5:24 Michał Górny
2024-10-31  5:24 Michał Górny
2024-10-27  2:49 Michał Górny
2024-10-20  3:11 Michał Górny
2024-07-31 23:00 Eli Schwartz
2024-06-24  2:41 Michał Górny
2024-06-24  2:41 Michał Górny
2024-06-24  1:16 Sam James
2024-06-15  6:11 Sam James
2024-06-15  6:11 Sam James
2024-06-15  6:11 Sam James
2024-06-15  6:11 Sam James
2024-06-15  6:11 Sam James
2024-06-15  4:43 Sam James
2024-05-16 14:58 Michał Górny
2024-04-26 18:55 Michał Górny
2024-04-11 21:34 Sam James
2024-04-11 19:51 Sam James
2024-04-11 17:53 Arthur Zamarin
2024-04-11 17:44 Arthur Zamarin
2024-04-11 17:40 Arthur Zamarin
2024-04-11 17:13 Arthur Zamarin
2024-04-11 16:46 Sam James
2024-03-29  4:18 Sam James
2024-03-22 16:45 Michał Górny
2024-03-22 16:28 Arthur Zamarin
2024-03-22 16:22 Arthur Zamarin
2024-03-22 16:22 Arthur Zamarin
2024-03-22 14:18 Michał Górny
2024-03-21  5:39 Michał Górny
2024-02-07 19:24 Sam James
2024-02-07 19:14 Sam James
2024-02-07 18:52 Sam James
2024-02-07 18:52 Sam James
2024-02-07  7:39 Michał Górny
2023-12-08 16:49 Michał Górny
2023-12-08  9:01 Arthur Zamarin
2023-12-08  9:01 Arthur Zamarin
2023-12-08  9:01 Arthur Zamarin
2023-10-06 15:05 Sam James
2023-10-06 14:55 Sam James
2023-10-06 14:30 Arthur Zamarin
2023-10-06 14:29 Sam James
2023-08-15  2:39 Michał Górny
2023-07-18  6:03 Michał Górny
2023-05-03  7:57 Michał Górny
2023-05-03  3:53 Sam James
2023-05-02 20:00 Arthur Zamarin
2023-05-02 18:52 Arthur Zamarin
2023-05-02 18:09 Arthur Zamarin
2023-05-02 18:09 Arthur Zamarin
2023-05-02 18:08 Arthur Zamarin
2023-05-02 17:34 Arthur Zamarin
2023-04-13  6:04 Michał Górny
2023-03-24 13:29 Arthur Zamarin
2023-03-24 13:20 Arthur Zamarin
2023-03-21 19:34 Sam James
2023-03-21 19:34 Sam James
2023-03-21 19:34 Sam James
2023-03-21 19:34 Sam James
2023-03-21 18:20 Michał Górny
2023-02-28 13:07 Michał Górny
2023-02-28 13:07 Michał Górny
2023-02-26 15:25 Michał Górny
2023-02-26  4:57 Michał Górny
2023-02-26  4:57 Michał Górny
2023-01-25 19:45 Michał Górny
2023-01-25 19:22 Arthur Zamarin
2023-01-21 19:25 Arthur Zamarin
2023-01-21 17:17 Arthur Zamarin
2023-01-21  7:02 Arthur Zamarin
2023-01-21  7:01 Arthur Zamarin
2023-01-21  7:01 Arthur Zamarin
2023-01-21  6:53 Sam James
2023-01-21  5:14 Michał Górny
2023-01-13 19:38 Arthur Zamarin
2022-11-22 18:46 Arthur Zamarin
2022-09-06 21:41 Sam James
2022-08-27  8:42 Michał Górny
2022-08-27  8:27 Agostino Sarubbo
2022-08-27  6:47 Arthur Zamarin
2022-08-27  6:47 Arthur Zamarin
2022-08-27  6:47 Arthur Zamarin
2022-08-26 23:28 Sam James
2022-08-26 23:27 Sam James
2022-07-21  2:31 Matt Turner
2022-07-14  7:31 Michał Górny
2022-07-13  7:39 Agostino Sarubbo
2022-07-13  7:39 Agostino Sarubbo
2022-07-13  7:33 Agostino Sarubbo
2022-07-13  7:33 Agostino Sarubbo
2022-07-13  6:07 Agostino Sarubbo
2022-07-13  6:07 Agostino Sarubbo
2022-07-13  0:31 Sam James
2022-07-13  0:31 Sam James
2022-07-12 22:46 Sam James
2022-07-12 22:46 Sam James
2022-07-12 22:46 Sam James
2022-07-12 22:46 Sam James
2022-07-12 20:49 Michał Górny
2022-07-12 20:49 Michał Górny
2022-05-31 18:52 Matt Turner
2022-05-28  5:36 Michał Górny
2022-04-13  5:30 Michał Górny
2022-04-13  5:30 Michał Górny
2022-04-12  9:03 Michał Górny
2022-04-12  8:06 Agostino Sarubbo
2022-04-11 21:02 Jakov Smolić
2022-04-11 19:24 Arthur Zamarin
2022-04-11 19:21 Arthur Zamarin
2022-04-11 19:20 Arthur Zamarin
2022-04-11 19:20 Arthur Zamarin
2022-04-11  7:41 Michał Górny
2022-03-09 15:39 Sam James
2022-03-09 12:49 Sam James
2022-03-08 12:32 Sam James
2022-02-26 21:51 Michał Górny
2022-02-19  0:05 Michał Górny
2022-02-13 22:08 Michał Górny
2022-02-13 19:39 Michał Górny
2022-02-13 17:27 Michał Górny
2021-12-21  9:42 Michał Górny
2021-10-31 18:07 Sam James
2021-10-31 18:07 Sam James
2021-10-31 18:02 Sam James
2021-10-31 18:02 Sam James
2021-10-31 17:58 Sam James
2021-10-31 17:55 Sam James
2021-09-28  6:20 Michał Górny
2021-09-04 22:07 Michał Górny
2021-09-04 21:39 Sam James
2021-09-02 21:00 Michał Górny
2021-09-01 18:32 Sam James
2021-08-30  1:27 Sam James
2021-08-30  1:27 Sam James
2021-08-30  1:23 Sam James
2021-08-30  1:23 Sam James
2021-07-27 11:00 Marek Szuba
2021-07-01  6:13 Michał Górny
2021-05-10  5:11 Joonas Niilola
2021-05-01  7:29 Mikle Kolyada
2020-12-20 20:34 Michał Górny
2020-12-20 16:45 Sam James
2020-12-20 16:40 Thomas Deutschmann
2020-12-18 10:25 Sergei Trofimovich
2020-12-17  4:01 Sam James
2020-12-16 19:53 Sam James
2020-11-24  8:18 Michał Górny
2020-10-13  4:19 Georgy Yakovlev
2020-10-13  2:09 Michał Górny
2020-10-05 22:21 Michał Górny
2020-09-18  9:38 Michał Górny
2020-08-01 15:25 Michał Górny
2020-08-01  8:53 Sergei Trofimovich
2020-08-01  8:53 Sergei Trofimovich
2020-07-26  4:06 Sam James
2020-07-25 21:56 Sam James
2020-07-25 19:33 Sam James
2020-07-25  0:46 Sam James
2020-07-24 15:09 Agostino Sarubbo
2020-06-04  9:16 Michał Górny
2020-06-03 18:43 Agostino Sarubbo
2020-06-03 15:15 Agostino Sarubbo
2020-06-03 15:12 Agostino Sarubbo
2020-04-13 14:52 Agostino Sarubbo
2020-04-13 14:50 Agostino Sarubbo
2020-04-13 14:49 Agostino Sarubbo
2020-04-03  7:30 Michał Górny
2020-04-02  6:49 Michał Górny
2020-04-02  6:49 Michał Górny
2020-02-24 17:03 Michał Górny
2020-02-21 10:08 Michał Górny
2020-02-21 10:08 Michał Górny
2019-12-27  2:03 Georgy Yakovlev
2019-12-27  2:03 Georgy Yakovlev
2019-12-26 11:27 Michał Górny
2019-12-26 11:27 Michał Górny
2019-12-13  0:07 Thomas Deutschmann
2019-12-12 10:37 Agostino Sarubbo
2019-12-11 15:01 Aaron Bauman
2019-12-11  9:12 Michał Górny
2019-08-18 21:51 Agostino Sarubbo
2019-08-16 22:53 Aaron Bauman
2019-08-16 22:38 Thomas Deutschmann
2019-08-14 20:58 Michał Górny
2019-06-08  8:00 Michał Górny
2019-06-08  8:00 Michał Górny
2019-05-27 21:04 Aaron Bauman
2019-05-22 12:47 Michał Górny
2019-04-10 15:07 Michał Górny
2019-02-15 12:32 Michał Górny
2019-02-15 12:32 Michał Górny
2019-02-13 14:28 Michał Górny
2019-02-02 16:37 Michał Górny
2019-02-02 10:31 Michał Górny
2019-01-29 13:23 Michał Górny
2018-10-29  7:20 Michał Górny
2018-10-28 23:03 Thomas Deutschmann
2018-10-27 19:06 Mikle Kolyada
2018-10-27  7:30 Michał Górny
2018-10-27  7:30 Michał Górny
2018-10-07  8:16 Michał Górny
2018-10-06 23:05 Thomas Deutschmann
2018-10-06 21:54 Mikle Kolyada
2018-10-06  7:11 Michał Górny
2018-08-08  2:55 Michał Górny
2018-08-07 22:43 Thomas Deutschmann
2018-08-07  8:50 Agostino Sarubbo
2018-08-07  6:21 Michał Górny
2018-08-07  6:21 Michał Górny
2018-08-07  6:21 Michał Górny
2018-07-18 22:11 Michał Górny
2018-07-11 14:27 Agostino Sarubbo
2018-07-10  6:58 Michał Górny
2018-07-10  6:49 Michał Górny
2018-07-02 10:46 Mart Raudsepp
2018-06-11  6:24 Michał Górny
2018-06-06 12:10 Agostino Sarubbo
2018-06-05 15:27 Michał Górny
2018-05-30  6:38 Michał Górny
2018-04-29  0:08 Mart Raudsepp
2018-04-26 22:32 Aaron Bauman
2018-04-26 17:15 Thomas Deutschmann
2018-03-26 16:07 Michał Górny
2018-03-26 15:18 Michał Górny
2018-03-20 16:16 Michał Górny
2018-03-12 17:08 Michał Górny
2018-03-12 17:08 Michał Górny
2018-03-12 17:08 Michał Górny
2018-03-12 17:08 Michał Górny
2018-03-11  2:16 Thomas Deutschmann
2018-03-10 18:25 Agostino Sarubbo
2018-03-09  7:27 Michał Górny
2018-02-19 20:03 Mart Raudsepp
2018-02-06 18:36 Thomas Deutschmann
2018-01-26 15:03 Mikle Kolyada
2017-08-24  7:09 Michał Górny
2017-08-23  4:11 Tim Harder
2017-08-22 12:59 Mart Raudsepp
2017-08-22 12:23 Mart Raudsepp
2017-07-29 20:30 Alexis Ballier
2017-07-23 12:14 Manuel Rüger
2017-07-02 20:16 Manuel Rüger
2017-01-23 18:14 Manuel Rüger
2017-01-23 18:14 Manuel Rüger
2017-01-19 17:28 Manuel Rüger
2017-01-19 17:07 Agostino Sarubbo
2017-01-19 17:06 Agostino Sarubbo
2017-01-19 11:46 Manuel Rüger
2016-12-05  1:52 Aaron Bauman
2016-12-05  1:07 Aaron Bauman
2016-11-20 14:01 Manuel Rüger
2016-11-20 13:45 Agostino Sarubbo
2016-11-06 23:17 Manuel Rüger
2016-10-11 15:51 Agostino Sarubbo
2016-10-10 22:35 Manuel Rüger
2016-10-01  0:54 Pacho Ramos
2016-08-08  7:07 Tim Harder
2016-08-06 18:25 Manuel Rüger
2016-07-26 10:42 Chí-Thanh Christopher Nguyễn
2016-03-06 16:43 Mikle Kolyada
2016-03-05 11:06 Manuel Rüger
2016-02-21 23:44 Pacho Ramos
2016-02-10 17:16 Justin Lecher
2016-01-22 21:03 Justin Lecher
2016-01-08 14:10 Alexey Shvetsov
2015-11-22 14:25 Manuel Rüger
2015-10-11  0:34 Ulrich Müller
2015-10-10 11:31 Manuel Rüger
2015-10-10 11:31 Manuel Rüger
2015-10-03 14:31 Julian Ospald
2015-09-15 10:30 Manuel Rüger
2015-09-15  0:41 Tim Harder
2015-09-14 17:05 Manuel Rüger
2015-08-28  6:22 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1538809849.c7cb35a6deb16e24e672a2dd010b8bf422ac3c49.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox